org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaIndexDropOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaIndexAbstractOperation
    - - org.apache.ignite.internal.processors.query.schema.operation.SchemaIndexDropOperation

All Implemented Interfaces:
  Serializable

    public class SchemaIndexDropOperation
    extends SchemaIndexAbstractOperation

Schema index drop operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexDropOperation(UUID opId, String cacheName, String schemaName, String idxName, boolean ifExists)` Constructor.

### Method Summary

Methods
`boolean` `ifExists()`
`String` `indexName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexDropOperation

    public SchemaIndexDropOperation(UUID opId,
                            String cacheName,
                            String schemaName,
                            String idxName,
                            boolean ifExists)

Constructor.

Parameters:
  `opId` - Operation id.
  `cacheName` - Cache name.
  `schemaName` - Schema name.
  `idxName` - Index name.
  `ifExists` - Ignore operation if index doesn't exist.

### Method Detail

#### indexName

    public String indexName()

Specified by:
  `indexName` in class `SchemaIndexAbstractOperation`
Returns:
  Index name.

#### ifExists

    public boolean ifExists()

Returns:
  Ignore operation if index doesn't exist.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractOperation`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017